Skip to content
LydieDevelopers
Menu

Look up an invitation by its token

View as Markdown
GET/v1/invitations/lookup
docs:readRead-only
Request
curl "https://api.lydie.co/v1/invitations/lookup?token=string" \
  -H "Authorization: Bearer $LYDIE_TOKEN"

Query parameters

  • tokenstringrequired· 20–200 chars

Response

200
{
  "invitation": {
    "id": "string",
    "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
    "email": "ada@example.com",
    "role": "owner",
    "status": "pending",
    "expiresAt": "2026-11-12T09:30:00.000Z",
    "documentId": null,
    "documentLevel": null,
    "teamspaceIds": [
      "string"
    ],
    "invitedBy": null,
    "createdAt": "2026-11-12T09:30:00.000Z"
  },
  "workspaceName": "string",
  "invitedByName": null,
  "documentTitle": null
}

Errors use one envelope for every endpoint. See Errors and versions.